Bug 75247 - NTFS File System
NTFS File System
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-05 19:34 EDT by Need Real Name
Modified: 2008-08-01 12:22 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:40:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-05 19:34:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.1) Gecko/20020826

Description of problem:
The current version of kernel don't allow to mount partitions NTFS (Windows XP).

My etc/fstab is:

LABEL=/                 /                       ext3    defaults        1 1
none                    /dev/pts                devpts  gid=5,mode=620  0 0
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/hda2               swap                    swap    defaults        0 0
/dev/hda3               /mnt/win1               ntfs    defaults        0 0
/dev/hdb1               /mnt/win2               vfat    defaults        0 0
/dev/cdrom              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/hdd4               /mnt/zip                auto    noauto,owner,kudzu 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/cdrom1             /mnt/cdrom1             iso9660 noauto,owner,kudzu,ro 0 0

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Edit the etc/fstab file
2.Add your partition witch NTFS
3.Save and reboot
	

Additional info:
Comment 1 Fulton Green 2002-10-08 17:04:31 EDT
I know that RH doesn't include the ntfs.o module in the kernel package. This 
module is necessary for NTFS support. I also realize that it's still considered 
to be an experimental module by the official kernel maintainers (which may be 
why RH doesn't include it). The maintainers consider read-only support for NTFS 
to be stable, but read-write support to be a bit shaky still.

Would there be any way for RH to at least enable read-only support (or even 
read-write access, provided that a "no support here" policy is explicitly 
stated) for this module?
Comment 2 Need Real Name 2002-10-14 00:02:56 EDT
I just checked. NTFS was listed as experimental in RH7.3, so was ext3.
I would also like to see NTFS read-only support built into the kernel. I think
many users would no longer need to make a custom kernel. The kernel build is
first rate in the RH8.0 release and includes just about every module I need.
IPV6 support, VLAN .. etc. Just about anything I would want. I do not mind
making the kernel. I program in Linux for a living. But then again I know a lot
of users would love to not have to learn how just to add this one option.
You know it would not be a bard idea to make the 'ntfs.o' module available for
download based on the released kernel. 

Greg - Just another Linux nut.
Comment 3 Warren Togami 2002-10-18 03:01:20 EDT
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=65749

We've been asking for this for a long time.  Bug 65749 arjanv confirmed that
NTFS read-only is safe to use, but they don't know if it is legally possible to
include the module with the distribution.

Here's another nudge to ask Red Hat to check with the lawyers.
Comment 4 Bugzilla owner 2004-09-30 11:40:01 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.